define('widget/can-merge', [
    'eve',
    'util/ajax',
    'model/page-state',
    'util/navbuilder'
], function(
    eve,
    ajax,
    pageState,
    navBuilder
) {

    function canMerge(pullRequest){
         pullRequest = pullRequest || pageState.getPullRequest();

         return ajax.rest({
             url: navBuilder.rest()
                 .currentRepo()
                 .pullRequest(pullRequest.getId())
                 .merge()
                 .build(),
             type: 'GET'
         }).done(function(data) {
            eve(data.canMerge ? 'stash.pull-request.can.merge' : 'stash.pull-request.cant.merge', null, pullRequest, data.conflicted, data.vetoes);
         });
     }

    return canMerge;
});
